Skip to main content
GET
https://api.memcontext.in
/
api
/
memories
/
{id}
/
history
Get memory version history
curl --request GET \
  --url https://api.memcontext.in/api/memories/{id}/history \
  --header 'X-API-Key: <api-key>'
{
  "current": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "<string>",
    "content": "<string>",
    "source": "mcp",
    "isCurrent": true,
    "version": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "category": "preference",
    "project": "<string>",
    "supersedesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rootId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "validFrom": "2023-11-07T05:31:56Z",
    "validUntil": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z"
  },
  "history": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "<string>",
      "content": "<string>",
      "source": "mcp",
      "isCurrent": true,
      "version": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "category": "preference",
      "project": "<string>",
      "supersedesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rootId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "validFrom": "2023-11-07T05:31:56Z",
      "validUntil": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

API key created from the MemContext dashboard. Keys are prefixed with mc_.

Path Parameters

id
string<uuid>
required

Memory UUID.

Response

Current version and version history.

current
object
required
history
object[]
required

Previous versions in the chain, ordered by version number.